
Website Input - Feature #1963

Auto-discover form fields

08/02/2017 07:42 AM - Luke Murphey

Status: Closed Start date: 08/02/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Input: Web Spider Estimated time: 0.00 hour

Target version: 4.4   

Description

Auto-detect the login form and related fields

Subtasks:

Feature # 1964: Create auto-discover algorithm Closed

Feature # 1965: Wire up auto-discover button on front-end Closed

Related issues:

Related to Website Input - Feature #758: Handle forms authentication Closed 07/30/2017

Associated revisions

Revision 500 - 08/03/2017 06:58 AM - lukemurphey

Adding form authentication options and auto-discovering of form fields

Reference #1963

Reference #1954

Revision 533 - 08/03/2017 06:58 AM - lukemurphey

Adding form authentication options and auto-discovering of form fields

Reference #1963

Reference #1954

Revision 501 - 08/03/2017 07:49 AM - lukemurphey

Form fields are now auto-discovered if not provided

Reference #1963

Revision 534 - 08/03/2017 07:49 AM - lukemurphey

Form fields are now auto-discovered if not provided

Reference #1963

Revision 503 - 08/03/2017 07:59 AM - lukemurphey

Added discover fields button

Reference #1963
Revision 536 - 08/03/2017 07:59 AM - lukemurphey

Added discover fields button

Reference #1963

History

#1 - 08/02/2017 07:44 AM - Luke Murphey

- Related to Feature #758: Handle forms authentication added

#2 - 08/03/2017 06:29 AM - Luke Murphey

http://127.0.0.1:8000/en-US/custom/website_input/web_input_controller/get_login_fields?url=https://lukemurphey.net/login

#3 - 08/03/2017 06:56 AM - Luke Murphey

- Target version set to 4.4

#4 - 08/03/2017 09:44 PM - Luke Murphey

- Status changed from New to Closed
